apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: ingress-nginx
spec:
  destination:
    name: ''
    namespace: ingress-nginx
    server: 'https://kubernetes.default.svc'
  source:
    path: ''
    repoURL: 'https://kubernetes.github.io/ingress-nginx'
    targetRevision: 4.13.0
    chart: ingress-nginx
    helm:
      values: |
        controller:
          nodeSelector:
            workload: infra
          admissionWebhooks:
            patch:
              nodeSelector:
                workload: infra
        defaultBackend:
          nodeSelector:
            workload: infra
  project: default
  syncPolicy:
    syncOptions:
      - CreateNamespace=true 
    automated: 
      prune: true 
      allowEmpty: false
    retry:
      limit: 5 
      backoff:
        duration: 5s 
        factor: 2 
        maxDuration: 3m 


